Bug 1666325 - yum alias list does not work properly
Summary: yum alias list does not work properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.1
Assignee: Pavla Kratochvilova
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-15 14:06 UTC by Jan Blazek
Modified: 2020-11-14 12:49 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:20:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:04 UTC

Description Jan Blazek 2019-01-15 14:06:25 UTC
Description of problem:
yum alias list command list the aliases correctly. Instead the alias itself is displayed twice: <alias>='alias'. It should list the aliases in the form <alias>='command'.

Version-Release number of selected component (if applicable):
dnf-4.0.9.1-1.el8

How reproducible:
always

Steps to Reproduce:
# yum alias add i=install
Aliases added: i
# yum alias list
Alias i='i'

Actual results:
Alias i='i'

Expected results:
Alias i='install'

Comment 1 Pavla Kratochvilova 2019-01-24 06:31:41 UTC
PR: https://github.com/rpm-software-management/dnf/pull/1307

Comment 10 errata-xmlrpc 2019-11-05 22:20:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.